#
# spec file for package sitecopy (Version 0.16.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel neon neon-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           sitecopy
BuildRequires:  neon-devel openssl-devel pkgconfig
Summary:        Local to Remote Website Synchronizer
Version:        0.16.2
Release:        15.2
License:        GPL
Group:          Productivity/Networking/Web/Utilities
Source0:        http://www.lyra.org/sitecopy/sitecopy-%{version}.tar.bz2
URL:            http://www.lyra.org/sitecopy
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Sitecopy is useful for copying locally stored web sites to remote web
servers. The program will upload files which have changed locally to
the server and delete files from the server which have been removed
locally to keep the remote site synchronized with the local site, all
with a single command.	The aim is to remove the hassle of uploading
and deleting individual files using an FTP client. FTP, WebDAV, and
HTTP-based authoring servers are supported.



Authors:
--------
    Joe Orton <joe@orton.demon.co.uk>

%debug_package
%prep
%setup -q

%build
# vanilla sitecopy.
rm -rf sitecopy
mkdir sitecopy
cd sitecopy
CFLAGS="$RPM_OPT_FLAGS" ../configure \
	--prefix=/usr \
	--mandir=%{_mandir} \
	--with-expat \
	--with-ssl
make %{?jobs:-j%jobs}
cd ..

%install
OMG=`mktemp -u /tmp/$$.%{name}-install-tmp.XXXXXXXXXX`
rm -rf $RPM_BUILD_ROOT
cd sitecopy
make DESTDIR=$RPM_BUILD_ROOT docdir=$OMG pkgdatadir=$OMG install MANLANGS=
rm -rf "$RPM_BUILD_ROOT$OMG"
cd ..
%find_lang %name
#

%clean
rm -rf $RPM_BUILD_ROOT

%files -n sitecopy -f %{name}.lang
%defattr(-, root, root)
/usr/bin/sitecopy
%doc BUGS NEWS ChangeLog COPYING README THANKS  TODO
%doc doc/examplerc
%doc doc/update.sh
%{_mandir}/man1/*

%changelog -n sitecopy
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 01 2006 - olh@suse.de
- update to version 0.16.2
* Wed Sep 28 2005 - olh@suse.de
- update to version 0.16.1
* Sat Aug 27 2005 - olh@suse.de
- update to version 0.16.0 (#113504)
* Sat May 21 2005 - olh@suse.de
- update to version 0.15.1
* Thu Jan 06 2005 - olh@suse.de
- update to version 0.14.3, drop xsitecopy
* Wed Nov 10 2004 - ro@suse.de
- reduced neededforbuild
* Thu Apr 29 2004 - ro@suse.de
- changed return type to "void" for druid_back
* Thu Nov 06 2003 - schwab@suse.de
- Fix quoting in configure script.
* Sat Aug 16 2003 - adrian@suse.de
- fix last change
* Fri Aug 15 2003 - adrian@suse.de
- add Categories
* Thu Jul 03 2003 - ro@suse.de
- /opt/gnome/share/aclocal is gone
* Tue Jun 03 2003 - olh@suse.de
- workaround broken rpm4
* Mon Jan 20 2003 - olh@suse.de
- add sitecopy-0.11.4.mkdir.diff (#12545)
  simplify specfile
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Tue Apr 09 2002 - ro@suse.de
- copy conditionals to main path of configure(.in)
- change some LIBOBJS usages to AC_LIBOBJ
* Fri Mar 15 2002 - olh@suse.de
- add /opt/gnome/share/xsitecopy to file list
* Tue Jan 22 2002 - olh@suse.de
- update to 0.11.4
* Tue Jan 22 2002 - olh@suse.de
- rename xsitecpy to xsitecopy, fix compile with gnome1
* Thu Jan 10 2002 - olh@suse.de
- update to 0.11.3
* Sun Jan 06 2002 - olh@suse.de
-update to 0.11.2
* Wed Jul 11 2001 - olh@suse.de
- enable openssl support
* Wed Jul 11 2001 - olh@suse.de
- gcc30 compile fixes
* Tue Mar 13 2001 - ro@suse.de
- added xf86 to neededforbuild
* Thu Mar 01 2001 - egger@suse.de
- Updated to version 0.10.15
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Tue Dec 12 2000 - olh@suse.de
- update to 0.10.9
* Wed Nov 22 2000 - olh@suse.de
- update to 0.10.7
* Tue Nov 07 2000 - kukuk@suse.de
- Add esound-devel to neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Sun Sep 17 2000 - olh@suse.de
- update to 0.10.6, fix gnome header path
* Tue Sep 12 2000 - olh@suse.de
-  add libgladd to neededforbuild
* Sun Sep 10 2000 - olh@suse.de
- fix specfile
* Tue Sep 05 2000 - egger@suse.de
- Update to 0.10.4.
* Sun Mar 12 2000 - olh@suse.de
- update to 0.9.8
* Wed Mar 08 2000 - olh@suse.de
- update to 0.9.7
* Tue Mar 07 2000 - olh@suse.de
- update to 0.9.6, use locale
* Thu Mar 02 2000 - olh@suse.de
- update to 0.9.5
* Fri Feb 04 2000 - olh@suse.de
- update to 0.9.4
* Wed Jan 26 2000 - olh@suse.de
- update to 0.9.3
  /usr/man -> /usr/share/man
  check for compile errors on axp,i386,ppc
* Thu Dec 09 1999 - olh@suse.de
- added expat to # neededforbuild
* Tue Dec 07 1999 - olh@suse.de
- remove expat from package
* Mon Oct 25 1999 - olh@suse.de
- update to 0.8.4
* Sun Oct 24 1999 - olh@suse.de
- fixed dump specfile, add more docs
- check for build on i386, axp, ppc
- added libexpat, a XML parser in C
* Fri Oct 22 1999 - olh@suse.de
- fixed installdir for sitecopy
* Fri Oct 22 1999 - olh@suse.de
- update to 0.8.3
* Tue Sep 21 1999 - olh@suse.de
- add sitecopy package to SuSE distribution
